SDL_GamepadHasSensor(3)

NAME
SDL_GamepadHasSensor - Return whether a gamepad has a particular sensor.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GamepadHasSensor(SDL_Gamepad *gamepad, SDL_SensorType type);

FUNCTION PARAMETERS

gamepad
    The gamepad to query

type
    The type of sensor to query

RETURN VALUE
Returns SDL_TRUE
 if the sensor exists, SDL_FALSE otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadSensorData(3), SDL_GetGamepadSensorDataRate(3), SDL_SetGamepadSensorEnabled(3)